gnutls_srp_allocate_client_credentials(3)

NAME
gnutls_srp_allocate_client_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_allocate_client_credentials(gnutls_srp_client_credentials_t * sc);

ARGUMENTS

gnutls_srp_client_credentials_t * sc
    is a pointer to a gnutls_srp_server_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/